"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const observable_1 = require("@reactive-js/observable");
const pipe_1 = require("@reactive-js/pipe");
const createAsyncEnumerable_1 = require("./createAsyncEnumerable");
const fromArrayScanner = (acc, _) => acc + 1;
exports.fromArray = (values) => {
    const operator = pipe_1.compose(observable_1.scan(fromArrayScanner, () => -1), observable_1.map((i) => values[i]), observable_1.takeFirst(values.length));
    return createAsyncEnumerable_1.createAsyncEnumerable(operator);
};
//# sourceMappingURL=fromArray.js.map