"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const createAsyncEnumerable_1 = require("./createAsyncEnumerable");
const observable_1 = require("@reactive-js/observable");
const instance = {
    enumerateAsync: (scheduler, replayCount = 0) => {
        const subject = observable_1.createSubject(scheduler, replayCount);
        const safeSubscriber = observable_1.toSafeSubscriber(subject);
        return new createAsyncEnumerable_1.AsyncEnumeratorImpl(safeSubscriber, subject);
    },
};
exports.identity = () => instance;
//# sourceMappingURL=identity.js.map