"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const pipe_1 = require("@reactive-js/pipe");
const observable_1 = require("@reactive-js/observable");
const createAsyncEnumerable_1 = require("./createAsyncEnumerable");
const reducer = (acc, next) => next(acc);
const createFactory = (observable, initialState, equals) => (enumerator) => {
    const src = observable_1.merge(observable, pipe_1.pipe(enumerator, observable_1.map(v => _ => v)));
    return pipe_1.pipe(src, observable_1.scan(reducer, initialState), observable_1.distinctUntilChanged(equals), observable_1.onNotify((next) => enumerator.dispatch(next)));
};
exports.toStateStore = (initialState, equals) => enumerable => {
    const operator = (observable) => observable_1.using(scheduler => enumerable.enumerateAsync(scheduler), createFactory(observable, initialState, equals));
    return createAsyncEnumerable_1.createAsyncEnumerable(operator);
};
//# sourceMappingURL=toStateStore.js.map