import { StateUpdater, AsyncEnumerableLike } from "./interfaces";
export declare const createActionReducer: <TAction, T>(reducer: (state: T, action: TAction) => T, initialState: () => T, equals?: ((a: T, b: T) => boolean) | undefined) => AsyncEnumerableLike<TAction, T>;
export declare const createStateStore: <T>(initialState: () => T, equals?: ((a: T, b: T) => boolean) | undefined) => AsyncEnumerableLike<StateUpdater<T>, T>;
