import { AsyncEnumeratorImpl } from "./createAsyncEnumerable";
import { createSubject, toSafeSubscriber } from "@reactive-js/observable";
const instance = {
    enumerateAsync: (scheduler, replayCount = 0) => {
        const subject = createSubject(scheduler, replayCount);
        const safeSubscriber = toSafeSubscriber(subject);
        return new AsyncEnumeratorImpl(safeSubscriber, subject);
    },
};
export const identity = () => instance;
//# sourceMappingURL=identity.js.map