import { ObservableLike } from "@reactive-js/observable";
import { Operator } from "@reactive-js/pipe";
import { AsyncEnumerableLike } from "./interfaces";
import { ReducerRequest } from "./consume";
export declare const reduce: <TReq, TSrc, TAcc>(reducer: (acc: TAcc, next: TSrc) => ReducerRequest<TReq, TAcc>, initial: () => ReducerRequest<TReq, TAcc>) => Operator<AsyncEnumerableLike<TReq, TSrc>, ObservableLike<TAcc>>;
export declare const reduceAsync: <TReq, TSrc, TAcc>(reducer: (acc: TAcc, next: TSrc) => ObservableLike<ReducerRequest<TReq, TAcc>>, initial: () => ReducerRequest<TReq, TAcc>) => Operator<AsyncEnumerableLike<TReq, TSrc>, ObservableLike<TAcc>>;
