import { Operator } from "@reactive-js/pipe";
import { StreamLike } from "./interfaces";
export declare const emptyStream: <T>() => StreamLike<T>;
export declare const ofValueStream: <T>(value: T) => StreamLike<T>;
export declare const generateStream: <T>(generator: (acc: T) => T, initialValue: () => T, delay?: number) => StreamLike<T>;
export declare const mapStream: <TA, TB>(mapper: (v: TA) => TB) => Operator<StreamLike<TA>, StreamLike<TB>>;
