"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const observable_1 = require("@reactive-js/observable");
const pipe_1 = require("@reactive-js/pipe");
const createAsyncEnumerable_1 = require("./createAsyncEnumerable");
const createFactory = (obs) => (enumerator) => pipe_1.pipe(obs, observable_1.onNotify(() => enumerator.move()), observable_1.takeWhile(_ => enumerator.hasCurrent), observable_1.map(_ => enumerator.current));
exports.fromIterable = (iterable) => {
    const observable = observable_1.fromIterable(iterable);
    const operator = (obs) => observable_1.using(() => observable_1.toEnumerable(observable).enumerate(), createFactory(obs));
    return createAsyncEnumerable_1.createAsyncEnumerable(operator);
};
//# sourceMappingURL=fromIterable.js.map