import { map, scan, takeFirst, } from "@reactive-js/observable";
import { compose } from "@reactive-js/pipe";
import { createAsyncEnumerable } from "./createAsyncEnumerable";
const fromArrayScanner = (acc, _) => acc + 1;
export const fromArray = (values) => {
    const operator = compose(scan(fromArrayScanner, () => -1), map((i) => values[i]), takeFirst(values.length));
    return createAsyncEnumerable(operator);
};
//# sourceMappingURL=fromArray.js.map