import { pipe } from "@reactive-js/pipe";
import { distinctUntilChanged, merge, onNotify, scan, using, map, } from "@reactive-js/observable";
import { createAsyncEnumerable } from "./createAsyncEnumerable";
const reducer = (acc, next) => next(acc);
const createFactory = (observable, initialState, equals) => (enumerator) => {
    const src = merge(observable, pipe(enumerator, map(v => _ => v)));
    return pipe(src, scan(reducer, initialState), distinctUntilChanged(equals), onNotify((next) => enumerator.dispatch(next)));
};
export const toStateStore = (initialState, equals) => enumerable => {
    const operator = (observable) => using(scheduler => enumerable.enumerateAsync(scheduler), createFactory(observable, initialState, equals));
    return createAsyncEnumerable(operator);
};
//# sourceMappingURL=toStateStore.js.map